I have written the following code.This is creating MaterialFamilies and Materials,but how can I set the names of the Material families and Materials..Plz help me
Dim CATIA As INFITF.Application
CATIA = GetObject(, "CATIA.Application")
If CATIA Is Nothing Then
CATIA...
Hi Everyone,
I know that we can open an existing ".CATMaterial" file and edit it like Adding Materials,Material familes using CATIA VB APIs..But Is it possible to create a new ".CATMaterial" file by using CATIA VB?.I need to add Material family,Materials and then also set...
Hi Everyone,
I have some a Product which consits of 3-4 Parts and I also have some 3D Annotations( like Text with Leader etc.) in some of the parts.When I convert the whole Product into Part ,The annotations attached to the sub-Parts are getting lost.How can we maintain the 3D...
Hi ,
Thanks for your reply.If I dont have DF1 License in my CATIA,then how can I do it?..Is it possible with CATIA VB (OR) CATIA CAA?..Any help would be appreciated.
Hello Everyone.
I want to convert Part /Assembly into a Dumb Solid in order to hide my Intellectual Property.By activating the License DF1(Product Data Filtering),we can launch a command "Part To Part" in Part Workbench.Is this possible to do in VB?..Any suggestions are Welcome...
Hello everyone,
I have some 2-3 Solid bodies,But I am not able to see them clearly..I dont know how did this problem arise,In the below image,you can see than a solid body(Pad) exists in Design tree but I am not able to see that solid in the view.
Can someone please help me,I am...
Hi,
I have a query regarding 3DXML file...When we generate a Clash report,we have a secondary window apprearing on the CATIA Screen,can we export that to 3DXML file..For your reference,I have attached an image below.The red color box indicates the screen which I wrote above.Please look at...
Hi Ferdo,
For Clash Analysis,
This code is working perfectly :
Sub Main()
Dim CATIA As INFITF.Application
CATIA = GetObject(, "CATIA.Application")
If CATIA Is Nothing Then
CATIA = CreateObject("CATIA.Application")
End If
Dim cClashes As Clashes
Dim oSelection As Selection
oSelection =...
Hello Everyone,
This code is working perfectly :
Sub Main()
Dim CATIA As INFITF.Application
CATIA = GetObject(, "CATIA.Application")
If CATIA Is Nothing Then
CATIA = CreateObject("CATIA.Application")
End If
Dim cClashes As...
Hi Ferdo,
Second Image shows the CATIA Window of the Interference feature(i.e. the model showing only the clash between 2 parts).I want to export this particular window to 3DXML file.Please help me..Hope you understand what I mean.I have highlighted the window in red colour...
Hi Ferdo,
In this Product,I have total of 3 parts.There exists a clash between Part 1 and Part 2 as well as a clash between Part 2 and Part 3.When you click on Interference feature 1,a second window pops up;I need to export this window to "3DXML" file. Please find the two Image files...
Hi Ferdo,
My License has been activated but When I am creating Interference features in a product,I am only able to export the whole product to "3DXML" file,I want to export individual Interference windows of 3DXML files..I hope you understand this ..If not,plese tell me so that I...
Hi Ferdo,
Do you have idea of checking Clash,Contact and Clearance between two parts in CATIA..Also,a seconday screen is displayed when you select that Interference feature,Can we export that to "3DXML" File format?
I hope you understood what I meant
Waiting for your reply
I still dont know Why I am not able to switch off Sketcher Grid after running your code..Can you please tell me the reason and also Y is CATIA.StartCommand("Display Grid") not working here?
Sorry Ferdo.Initially,I thought its working,but Its not working..Please let me know the correct process for switching off Sketcher Grid.
Waiting for your reply
Hi Ferdo,
Thanks for your reply.I have written your code exactly but still the Sketcher grid did not turn off.I have a Active CATIA Drawing Document,I have written the below code.but nothing has been achieved
Waiting for your reply
Dim settingControllers1 As SettingControllers =...
Hi Jackk,
Thanks for your quick response.I did not find any API help in any document nor did my macro get recorded when I switched off Drawing Grid .So,Do you think we cant do via coding?